summaryrefslogtreecommitdiff
path: root/SpMV
diff options
context:
space:
mode:
authorBirte Kristina Friesel <birte.friesel@uos.de>2024-02-28 15:51:52 +0100
committerBirte Kristina Friesel <birte.friesel@uos.de>2024-02-28 15:51:52 +0100
commitc194ddf77142319d9b681d62ac11da77315916cf (patch)
treeb52f5e6f284fa1bd8b78150c84b36a498cb24796 /SpMV
parent7cd4b4bab00822b76801c8c5a7c8ba828e42babb (diff)
add remaining fgbs24a scripts
Diffstat (limited to 'SpMV')
-rwxr-xr-xSpMV/run-fgbs24a.sh31
1 files changed, 31 insertions, 0 deletions
diff --git a/SpMV/run-fgbs24a.sh b/SpMV/run-fgbs24a.sh
new file mode 100755
index 0000000..ded0618
--- /dev/null
+++ b/SpMV/run-fgbs24a.sh
@@ -0,0 +1,31 @@
+#!/bin/bash
+
+set -e
+
+mkdir -p $(hostname)
+
+(
+
+echo "prim-benchmarks SpMV (dfatool fgbs24a edition)"
+echo "Started at $(date)"
+echo "Revision $(git describe --always)"
+
+cd data/generate
+./replicate ../bcsstk30.mtx 64 ../bcsstk30.mtx.64.mtx
+cd ../..
+
+for nr_dpus in 2543 2304 2048; do
+ for nr_tasklets in 16; do
+ echo
+ if make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets}; then
+ # repetition is not part of upstream setup
+ for i in `seq 1 100`; do
+ timeout --foreground -k 1m 3m bin/host_code -v 0 -f data/bcsstk30.mtx.64.mtx || true
+ done
+ fi
+ done
+done
+echo "Completed at $(date)"
+) | tee "$(hostname)/fgbs24a.txt"
+
+rm -f data/bcsstk30.mtx.64.mtx